<template>
  <div class="background" :style="url && custom? style : null">
    <slot></slot>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class Background extends Vue {
  @Prop({ default: false }) readonly custom!: boolean;
  url = "";
  get style() {
    return `background-image: url('${this.url}')`;
  }
  created() {
    if (this.custom) {
      this.url = this.$store.state.customBackgroundURL;
    }
  }
}
</script>

<style scoped>
.background {
  margin: 0;
  width: 100%;
  /* height: 0; */
  background-image: url("~@/assets/img/bg-negro.jpg");
  background-size: cover ;
  background-repeat: no-repeat;
}
</style>
